Update Portals page on Beta to reflect head of master branch
Closed, ResolvedPublic

Description

Because the portals repository is a submodule in mediawiki-config, the submodule is pegged to whatever commit is specified by the parent repository ( and updated by commits like this). This means that https://www.wikipedia.beta.wmflabs.org/ only reflects the change that happens right before a deployment, when mediawiki-config is updated.

It would be more useful if https://www.wikipedia.beta.wmflabs.org/ was a reflection of the head of the portals master branch.

This can be achieved by running git submodule update --remote portals in the wikimedia-config repo.

Restricted Application added a project: Discovery. · View Herald TranscriptDec 1 2017, 12:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 394555 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[operations/puppet@production] Update portals submodule to master

https://gerrit.wikimedia.org/r/394555

debt triaged this task as Normal priority.
debt moved this task from Backlog to Needs code review on the Discovery-Portal-Sprint board.
debt added a comment.Dec 12 2017, 4:13 PM

Hi @hashar - when you have time, can you take a look at this? Thanks!

hashar added a comment.Jan 3 2018, 7:25 PM

I have cherry picked https://gerrit.wikimedia.org/r/#/c/394555/ on the puppet master. So tentatively the portals submodule will be updated to the tip of the master branch.

hashar added a comment.Jan 3 2018, 7:36 PM

Should be good now https://integration.wikimedia.org/ci/view/Beta/job/beta-mediawiki-config-update-eqiad/ yields:

+ git submodule update --remote portals
+ git submodule status
 827a405c560d1106380fbd883ead223edbb37e55 docroot/wikimedia.org/WikipediaMobileFirefoxOS (heads/master)
 dc7d79dc9c5310e868b1f4e1c9c194bf629dbbad fonts (remotes/origin/HEAD)
+cbfd6ac67a72f90b59d2885eaa4b344d0c208ec2 portals (test-381-gcbfd6ac)
 4db9d40d28d61c53cdbca77059d9a2a6e714af89 wmf-config/event-schemas (heads/master-19-g4db9d40)

Change 394555 merged by Dzahn:
[operations/puppet@production] beta: Update portals submodule to master

https://gerrit.wikimedia.org/r/394555

hashar closed this task as Resolved.Jan 5 2018, 8:18 AM